Subject: Re: [Mingw-users] gcc not handling quoted strings
From: Earnie Boyd <[email-masked]>
To: Adam Fedor <[email-masked]>, [email-masked]
Cc: cygwin users <[email-masked]>
Date: Mon, 11 Sep 2000 09:29:33 -0700 (PDT)

--- Adam Fedor <[email-masked]> wrote:
> I'm new to using MingW, but I'm still not sure why this won't work when
> QUOTED is defined on the command line. MingW's gcc seems to strip the
> quotes off the string:
> 
> -------- testit.c----------
> #ifndef QUOTED
> #define QUOTED "string"
> #endif
> 
> static char *string = QUOTED;
> ----------------------------
> 
> Here I'm running the MingW gcc compiler on top of cygwin (i.e. using
> cygwin's bash):
> 
> BASH.EXE-2.03$ type gcc
> gcc is hashed (//c/gcc-2.95.2/bin/gcc)
> BASH.EXE-2.03$ gcc -v
> Reading specs from
> c:\gcc-2.95.2\bin\..\lib\gcc-lib\i386-mingw32\2.95.2\specs
> gcc version 2.95.2 19991024 (release)
> BASH.EXE-2.03$ gcc -c testit.c
> BASH.EXE-2.03$ gcc -DQUOTED=\"astring\" -c testit.c
> testit.c:5: `astring' undeclared here (not in a function)
> BASH.EXE-2.03$ /usr/bin/gcc -DQUOTED=\"astring\" -c testit.c
> BASH.EXE-2.03$
> 

This is Cygwin related problem.  It has been a known problem with Cygwin for
years.  I know that the Cygwin developers have recently revisited the issue and
some changes were made in hopes of correcting this problem.  Please follow up
with this on the Cygwin list.

Cheers,

=====
--- <http://earniesystems.safeshopper.com> ---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]